
package hotTip;

import java.io.*;
import java.net.*;
import java.util.*;

import java.security.*;
import java.security.spec.*;
import java.security.interfaces.*;

import javax.crypto.*;
import javax.crypto.spec.*;
import javax.crypto.interfaces.*;

public class AuthorityServerThread extends Thread {

    Socket serverSocket = null; // to talk to client on
    PrintWriter out = null;     // what write to client with
    BufferedReader in = null;   // what read from client with
    
    char[] adminPwd = null;  // what Server alone holds
    char[] sharedPwd = null; // what Server shares with BrokerGUI

    Socket clientSocket = null;

    public AuthorityServerThread(Socket sock, 
				 char[] adminPassword, 
				 char[] sharedPassword) {
	clientSocket = sock;
	adminPwd = adminPassword;
	sharedPwd = sharedPassword; 
    }

    public void run() {    
	
        PrintWriter out = null;
	BufferedReader in = null;

	/* set up way to read from client sock */
	try {
	    
	    out = new PrintWriter(clientSocket.getOutputStream(), true);
	    
	    in = new BufferedReader(
				    new InputStreamReader(
				    clientSocket.getInputStream()));
	}
	
	catch( IOException iox ) {
	    
	    System.out.println(iox.getMessage());
	    
	    iox.printStackTrace();
	}

	String clientMsg = new String();
	
	/* right now server just reads line from client and 
	   echoes it back... */
	try {
	    clientMsg = in.readLine();
	}
	
	catch( IOException iox ) {
	    System.out.println(iox.getMessage());
	    iox.printStackTrace();
	}

	/* echo'ing String read from Client back to Client */
	out.println(clientMsg);

	try { /* clean up */
	    out.close();
	    in.close();
	    
	    clientSocket.close();
	}

	catch(IOException iox) {
	    System.out.println(iox.getMessage());
	    iox.printStackTrace();
	}	
    }

}
